# NetWare* Command Line Parameters and Keywords

The following NetWare* keywords are applicable for the PRO/100 adapter drivers. These parameters are used with the LOAD <driver> command (in net.cfg or startnet.bat).

To view the keywords for Advanced Network Services (ANS), such as VLANs, click here.

Syntax: <command>=<parameter>

Example usage (server adapters): Load CE100b Speed=100 ForceDuplex=2 Name=eo83

Example usage (desktop adapters): Load CE100b Speed 100 ForceDuplex 2 Name eo83

Parameter | Values | Default Value | Description
--- | --- | --- | ---
SPEED | 10, 100 | 10 | The adapter automatically senses speed. If it is unable to auto-sense (including no network cable), SPEED defaults to 10. Make sure to match the adapter to the speed/duplex of your switch (if set). If you don't have an auto-negotiating switch and are forcing the duplex mode, you must specify the speed. You must set SPEED to either 10 or 100 if you're setting FORCEDUPLEX to either half or full. Syntax: SPEED=<value>
FORCEDUPLEX | 0 = autonegotiate 1 = half duplex 2 = full duplex | depends on card type | Duplex Support and Default listed by Card Type:
PRO/100+ and PRO/100B TX | Full and Half, 10&100 | Default: auto
PRO/100B T4 | 100 half, both at 10 (no auto-negotiation, no NWay* switch) |
PRO/10+ PCI | Full on the TPE connector only (no auto-negotiation) | Default: half duplex
Auto-negotiate: The adapter negotiates with the switch whether to use full- or half- duplex. If unsuccessful, the adapter defaults to half-duplex. You must have an auto-negotiating switch (an NWay switch) to get full-duplex support using auto-negotiation. Full duplex: The adapter sends and receives packets at the same time. This improves the performance of your adapter. Half duplex: The adapter communicates in one direction at a time. It either sends or receives. NOTE: If you use the FORCEDUPLEX command, you must also set the SPEED parameter to either 10 or 100. Syntax: FORCEDUPLEX=<value>
SLOT | 1-valid slot # | None | This is a standard keyword parameter predefined by NetWare to specify the physical slot of the installed adapter. When multiple adapters reside in a system, the SLOT keyword is used to distinguish which physical adapter is being loaded. If multiple adapters do exist in a system and the command line does not contain the SLOT keyword, the system will build a list of adapter slots and prompt the user to select an adapter to be loaded. Syntax: SLOT=<value>
FRAMETYPE | Ethernet_802.2 Ethernet_802.3 Ethernet_II Ethernet_SNAP | Ethernet_802.2 | Configures the adapter to process the valid NetWare Ethernet frame types. Syntax: FRAMETYPE=<value>
TXTHRESHOLD | 0-254 | 16 | Represents the threshold for transmits from extender SRAM FIFO (output buffer). If <value> is 16 then the bytes are set at 128 (16x8). In this case, the LAN controller transmits after copying 128 bytes from the host memory. The maximum number that you can specify is 200 (200x8=1600 bytes) which ensures there will not be any underruns. Syntax: TXTHRESHOLD=<value>
NODE | n/a | The adapter's assigned address (UAA Universal Address) | Specifies a locally administered address (LAA) unique to each adapter. The node address is a 12-digit hexadecimal number; the second digit must be one of the following digits: 2, 6, A, or E. 02AA => LAA, 02 is set by the driver if not specified. 00A0 => Typical Intel address (default) Syntax: NODE=xNxxxxxxxxxx (where N must = 2, 6, A, or E; x = hexadecimal number)
FLOWCONTROL | 0 = off 1 = RX flow control 2 = TX flow control 3 = RX/TX flow control | 2 | Controls the ability of the adapter to advertise flow control capabilities. Default is to allow TX flow control.
TXCHECKSUM | 0 - 1 | 0 | When set to 1 the driver and hardware can "offload" calculating the TCP or UDP checksum values for transmitted TCP or UDP packets, when the stack supports such operations. When set to 0 the checksum is calculated normally by the TCP/UDP protocol layers. Non TCP/UDP packets (such as IPX) are not affected by this parameter. This option only works on supported OS versions. Unlike other keywords, this setting is tracked on a per-frame basis, and only works on Ethernet II and Ethernet SNAP frame types.
POLL | 0 -2 | 1 | Controls whether or not the driver loads in polling mode. 0 means no polling (e.g. interrupt mode), 1 means polling is forced on, and 2 means auto-detect. In this case, the driver will query the OS to determine whether or not polling is supported and will enable polling support accordingly. If supported by the OS, polling can decrease CPU usage by the driver when under heavy network load.
PERSIST | 0 - 2 | 0 | Controls whether the driver remains persistent during a hot-plug event. Setting this parameter to 0 disables persistency; the driver will always unload during hot-plug. Setting this parameter to 1 forces the driver to remain persistent during hot-plug events. Setting this parameter to 2 sets the driver in auto-persistency mode. In this mode, the driver will only remain persistent when it is used with ANS (teaming/VLANs)
TxDescriptors | 8 - 65535 | 96 | TX descriptors are used to tell the hardware where the fragments of a transmit packet are in host memory. A transmit packet can use 1 or more descriptors. Most transmits require 3 or 4 descriptors. Each descriptor is 16 bytes.
RxDescriptors | 8 - 65535 | 64 | RX descriptors tell the hardware where to DMA received packets. For each RX descriptor the driver will also allocate a receive buffer. Each descriptor is 16 bytes and each buffer is 2048 bytes.
CoalesceBuffers | 1 - 65535 | 96 | Coalesce Buffers are used to copy fragments of a transmit packet before assigning them a transmit descriptor. This reduces the number of transmit descriptors required for each packet transmission. Each Coalesce buffer is 2048 bytes.
The following keywords are for protocol.ini configuration when using NETX and VLM.
EARLYRECV (client only) | 0 - 1 | 1 | This determines whether the driver enables early receives. Early receives allows a frame to start being processed before it is completely received into host memory. Value of 0 disables early receives, 1 enables early receives. Syntax: EARLYRECV <value>
IRQMODE | 0 - 2 | 0 | This parameter enables or disables interrupt sharing mode of the driver. It has the capability to automatically select the enabled or disabled state depending on system configuration. If the IRQ assigned to the driver is not being shared with another device, then interrupt sharing is disabled. If the IRQ assigned to the driver is being shared, then the interrupt sharing is enabled. IRQMODE is valid for VLM clients only. Where <value> is 0 automatically selects interrupt sharing mode, 1 interrupt sharing is disabled, 2 interrupt sharing is enabled Syntax: IRQMODE <value>
Protocol (client only) | E0 (Ethernet_802.2) 0 (Ethernet_802.3) 8137 (Ethernet_II or Ethernet_SNAP) | EO (NetWare 3.20 and up) 0 (Netware 3.20 and lower) | Indicates the standard protocol in use. This parameter is for VLM clients only. Syntax: Protocol E0

`Last modified on 12/24/02 11:43a Revision 8`